//
//  JavaProxyObject.h
//  JDBCCocoaTest
//
//  Created by Angus Hardie on 13/01/2007.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <JavaVM/jni.h>
#import "VirtualMachine.h"

@interface JavaProxyObject : NSObject {
	jobject _peerObject;
	jclass _peerClass;
	VirtualMachine* _vm;
}

- (jobject)peerObject;
- (id)vm;

- (id)initWithJObject:(jobject)peerObject virtualMachine:(VirtualMachine*)vm;
//- (id)initWithJObject:(jobject)peerObject peerClass:(jclass)peerClass virtualMachine:(VirtualMachine*)vm;

-(jobject)CallObjectMethod:(jmethodID)methodID, ...;
- (jmethodID)GetMethod:(NSString*)methodName withSignature:(NSString*)signature;
-(jboolean)CallBooleanMethod:(jmethodID)methodID, ...;

-(id)CallObjectProxyMethod:(jmethodID)methodID, ...;

-(void)CallVoidMethod:(jmethodID)methodID, ...;
-(jint)CallIntMethod:(jmethodID)methodID, ...;

-(NSString*)CallStringObjectMethod:(jmethodID)methodID, ...;


+ (void)initalizeMethodsWithVM:(id)vm;
+ (void)setPeerClass:(jclass)peerClass;
+ (jclass)peerClass;
+ (NSString*)peerClassName;

- (NSString*)stringValue;
@end